Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 693116 - dev-util/apitrace - switch to Python 3
Summary: dev-util/apitrace - switch to Python 3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: py3-tracker, python-3-incompatible
  Show dependency tree
 
Reported: 2019-08-30 11:58 UTC by Mike Lothian
Modified: 2020-02-07 21:47 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Lothian 2019-08-30 11:58:44 UTC
Hi

apitrace has switched to using Python 3 upstream

https://github.com/apitrace/apitrace/commit/0b8b019952f2668a5e8786cc2d331062b958f02e.patch
https://github.com/apitrace/apitrace/commit/e91fb544ea53daee61a0f17889124b7e65b7647b.patch

Are enough to get it working

I've popped it in the FireBurn overlay
Comment 1 Denis Lisov 2020-01-13 14:43:01 UTC
apitrace 9.0 with python3 is already published.
Comment 2 Larry the Git Cow gentoo-dev 2020-02-07 21:47:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50a8d17875e524c22f2c7d8be63e6f5c3d81b73b

commit 50a8d17875e524c22f2c7d8be63e6f5c3d81b73b
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2020-02-07 18:13:29 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-02-07 21:47:25 +0000

    dev-util/apitrace: Version bump to 9.0.0
    
    A lot of changes in this version bump:
        - Python3 support
        - Python2 support dropped
        - IUSE=cli dropped. Enabled always
        - IUSE=system-snappy dropped. Enabled always
        - IUSE=egl dropped. Enabled always
        - Install CLI binaries for all ABIs
        - media-libs/waffle support enabled
    
    Closes: https://bugs.gentoo.org/684830
    Closes: https://bugs.gentoo.org/684964
    Closes: https://bugs.gentoo.org/693116
    Closes: https://bugs.gentoo.org/705320
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 dev-util/apitrace/Manifest                         |   1 +
 dev-util/apitrace/apitrace-9.0.ebuild              |  85 +++++++++++
 .../files/apitrace-9.0-brotli-unbundle.patch       | 158 +++++++++++++++++++++
 .../files/apitrace-9.0-disable-multiarch.patch     |  53 +++++++
 4 files changed, 297 insertions(+)